Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA::InvalidPolicy Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA::InvalidPolicy:

[legend]
Collaboration diagram for PortableServer::POA::InvalidPolicy:

[legend]
List of all members.

## Public Methods
| InvalidPolicy (void)
| InvalidPolicy (const InvalidPolicy &)
| ~InvalidPolicy (void)
InvalidPolicy & | operator= (const InvalidPolicy &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
| InvalidPolicy (CORBA::UShort _tao_index)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
InvalidPolicy * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)
## Public Attributes
CORBA::UShort | index

## Constructor & Destructor Documentation

PortableServer::POA::InvalidPolicy::InvalidPolicy | ( | void |  | ) |

PortableServer::POA::InvalidPolicy::InvalidPolicy | ( | const InvalidPolicy & |  | ) |

PortableServer::POA::InvalidPolicy::~InvalidPolicy | ( | void |  | ) |

PortableServer::POA::InvalidPolicy::InvalidPolicy | ( | CORBA::UShort | _tao_index | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::POA::InvalidPolicy::_alloc | ( | void |  | ) | `[static]`

PortableServer::POA::InvalidPolicy * PortableServer::POA::InvalidPolicy::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::POA::InvalidPolicy::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::POA::InvalidPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::POA::InvalidPolicy::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * PortableServer::POA::InvalidPolicy::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::POA::InvalidPolicy::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr PortableServer::POA::InvalidPolicy::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

InvalidPolicy& PortableServer::POA::InvalidPolicy::operator= | ( | const InvalidPolicy & |  | ) |

## Member Data Documentation

CORBA::UShort PortableServer::POA::InvalidPolicy::index

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp